com.verisign.epp.util

## Class EPPXMLErrorHandler

- java.lang.Object
- - com.verisign.epp.util.EPPXMLErrorHandler

- All Implemented Interfaces:
    org.xml.sax.ErrorHandler

      public class EPPXMLErrorHandler
      extends java.lang.Object
      implements org.xml.sax.ErrorHandler

  This is a helper class provided to intercept Errors occurred internal to SAX / Dom Parser. When an Error / fatal Error or a warning occurs these methods are invoked.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPXMLErrorHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(org.xml.sax.SAXParseException aException)` Receive notification of a recoverable error.
    `void` | `fatalError(org.xml.sax.SAXParseException aException)` Receive notification of a fatal error.
    `void` | `warning(org.xml.sax.SAXParseException aException)` Receive notification of a recoverable warning.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPXMLErrorHandler

          public EPPXMLErrorHandler()

  - ### Method Detail

    - #### error

          public void error(org.xml.sax.SAXParseException aException)
                     throws org.xml.sax.SAXException

      Receive notification of a recoverable error. This method will encode a `SAXException`.
      Specified by:
        `error` in interface `org.xml.sax.ErrorHandler`
      Parameters:
        `aException` - Error exception information
      Throws:
        `org.xml.sax.SAXException` - Exception associated with the error.

    - #### fatalError

          public void fatalError(org.xml.sax.SAXParseException aException)
                          throws org.xml.sax.SAXException

      Receive notification of a fatal error. This method will encode a `SAXException`.
      Specified by:
        `fatalError` in interface `org.xml.sax.ErrorHandler`
      Parameters:
        `aException` - Fatal error exception information
      Throws:
        `org.xml.sax.SAXException` - Exception associated with the fatal error.

    - #### warning

          public void warning(org.xml.sax.SAXParseException aException)
                       throws org.xml.sax.SAXException

      Receive notification of a recoverable warning. This method will encode a `SAXException`.
      Specified by:
        `warning` in interface `org.xml.sax.ErrorHandler`
      Parameters:
        `aException` - Warning exception information
      Throws:
        `org.xml.sax.SAXException` - Exception associated with the warning.